CURLINFO_CONNECT_TIME(3)

NAME
CURLINFO_CONNECT_TIME - get the time until connect

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_CONNECT_TIME, double *timep);

DESCRIPTION
Pass a pointer to a double to receive the total time in seconds from the start until the connection to the remote host (or proxy) was completed. See also the TIMES overview in the curl_easy_getinfo(3) man page.

PROTOCOLS
All

EXAMPLE
TODO

AVAILABILITY
Added in 7.4.1

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
curl_easy_getinfo(3), curl_easy_setopt(3),